
// main_window.hpp - main window declarations for "hairline" stroking algorithm testbed

#ifndef __main_window_hpp__
#define __main_window_hpp__

#include <Cg/vector/xyzw.hpp>
#include <Cg/double.hpp>
#include <Cg/vector.hpp>
#include <Cg/matrix.hpp>

#include "gl_framebuffer.hpp"

using namespace Cg;

extern GLFramebuffer *fb;

extern float getMainWindowWidth();
extern float getMainWindowHeight();
extern const float3x3& getMainProjectionMatrix();

#endif // __main_window_hpp__
